Bug 36696 - anaconda crashes while adding swap on update
Summary: anaconda crashes while adding swap on update
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-19 22:08 UTC by Arenas Belon, Carlo Marcelo
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-14 20:24:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the anaconda dump of the error (10.08 KB, text/plain)
2001-04-19 22:10 UTC, Arenas Belon, Carlo Marcelo
no flags Details

Description Arenas Belon, Carlo Marcelo 2001-04-19 22:08:42 UTC
while installing seawolf on my desktop and selecting "upgrade" from the
graphical anaconda, i got a crash that seems a python library is missing
from the first CD

on the window when a "file swap" is created while hitting continue anaconda
just crashes, the anacdump file created is attached.

Comment 1 Arenas Belon, Carlo Marcelo 2001-04-19 22:10:11 UTC
Created attachment 15824 [details]
the anaconda dump of the error

Comment 2 Brent Fox 2001-04-20 03:29:30 UTC
I think you have a bad cd or else the something went wrong during the download.
 We see lots of error messages like this and it almost always means that
something's wrong with the installation media.  Please try again and see if that
fixes the problem.  If it does not, then please reopen this bug.  Thanks for
your report.

Comment 3 Arenas Belon, Carlo Marcelo 2001-05-03 12:21:19 UTC
actually this is not a media problem but a problem on the way that anaconda is
getting the partition names.

i just happened to have on /dev/hdc an old disk with a old LABEL name that come
from an old installation.

i have just found two SWAP files on /dev/hdc5 and the LABELs that are set on my
new disk are wrong (/ is on LABEL=/1 and /boot is on LABEL=/boot1.

both partitions has a partition with the same LABEL that is left on hdc but not
in use.

taking that i didn't tell anaconda to use /dev/hdc at all, i think this is a bug
on the way anaconda is getting which partition is supposed to have what.

i guess that anaconda should consistently do a lookup on the partition -> mount
point match that should'nt rely on the LABEL but on what is given on
partitioning.

surelly this is not as common as i thought initially but it surelly is a problem
on anaconda that should be worked out

Comment 4 Brent Fox 2001-05-03 16:12:58 UTC
I'm not sure that I understand...did the installer do anything to the partitions
on hdc?  The installer doesn't look at partition labels at all.  It scans all
the partitions on all the drives and figures out which ones are ext2.  Then it
scans all ext2 partitions to see if there is an /etc/fstab file.  All ext2
partitions with /etc/fstab files are considered to be valid installations.  The
user should then be given a menu of which partition they want to upgrade.

Comment 5 Brent Fox 2001-05-14 20:24:47 UTC
Closing due to inactivity.  Please reopen if you have more information.




Note You need to log in before you can comment on or make changes to this bug.